<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\AreaController;
use App\Http\Controllers\Survey_infoController;
use App\Http\Controllers\Survey_detailController;
use App\Http\Controllers\RegiController;
use App\Http\Controllers\VernanController;
use App\Http\Controllers\AlloruserController;
use App\Http\Controllers\GramUserController;
use App\Http\Controllers\MaterialController;
use App\Http\Controllers\AbstractController;
use App\Http\Controllers\MakesController;
use App\Http\Controllers\InwardController;
use App\Http\Controllers\PrResolutionController;
use App\Http\Controllers\PreliminarySurveyController;
use App\Http\Controllers\RolesController;
use App\Http\Controllers\OutwardController;
use App\Http\Controllers\PoleController;

/*use App\Http\Controllers\InwardController;
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
/*------------13th-----------*/
Route::get('reset', function (){
    Artisan::call('route:clear');
    Artisan::call('cache:clear');
    Artisan::call('config:clear');
    Artisan::call('config:cache');
    Artisan::call('view:clear');
    return "Cache is cleared";
});
Route::get('/clear-cache', function() {
    Artisan::call('cache:clear');
    return "Cache is cleared";
});
/*------------13th-----------*/
Route::get('/', function () {

    return view('backend.login');
});

Route::get('extra_pole_delete',[RolesController::class,'extra_pole_delete']);
Route::get('gramuserlogin',[RegiController::class,'gramuserlogin']);
Route::get('mobileauth',[RegiController::class,'mobileauth']);
Route::get('index',[RegiController::class,'indexpage']);
/** Login Routes **/
Route::post('loginchk',[RegiController::class,'loginchk']);
Route::post('gramlogin',[RegiController::class,'gramlogin']);
Route::get('logout',[RegiController::class,'logout']);
/** Jilla Routes **/
Route::get('jilla/create',[AreaController::class,'jillaform']);
Route::post('jillastat',[AreaController::class,'jillastat']);
Route::post('jillastore',[AreaController::class,'jillastore']);
Route::get('jilla',[AreaController::class,'jilla']);
Route::get('jillaedit/{id}',[AreaController::class,'jillaedit']);
Route::post('jillaupdate/{id}',[AreaController::class,'jillaupdate']);



/** Taluka Routes **/
Route::resource('taluka',AreaController::class);
Route::resource('taluka',AreaController::class);

/** Gram Routes **/
Route::get('gram/create',[AreaController::class,'gramform']);
Route::post('gramstore',[AreaController::class,'gramstore']);
Route::get('gram',[AreaController::class,'gram']);
Route::get('gramedit/{id}',[AreaController::class,'gram_edit']);
Route::post('gramupdate/{id}',[AreaController::class,'gramupdate']);

/*Route::get('gram',[AreaController::class,'gram']);
Route::get('gramedit/{id}',[AreaController::class,'gram_edit']);
Route::post('gramupdate/{id}',[AreaController::class,'gramupdate']);
Route::post('gramremove/{id}',[AreaController::class,'gram_remove']);
Route::post('gram_show/{id}',[AreaController::class,'gram_show']);*/




//Route::post('gramremove/{id}',[AreaController::class,'gram_remove']);
//Route::post('gram_show/{id}',[AreaController::class,'gram_show']);

Route::resource('survey_info',Survey_infoController::class);
Route::post('gramstoredata',[Survey_infoController::class,'gramstoredata']);
Route::get('survey_gram_info',[Survey_infoController::class,'survey_gram_info']);
Route::get('survey_info_form',[Survey_infoController::class,'survey_info_form']);
Route::get('getgram/{name}',[Survey_infoController::class,'getgram']);
Route::get('getgram_id',[Survey_infoController::class,'getgram_id']);
Route::get('getgramsearch/{name}',[Survey_infoController::class,'getgramsearch']);

Route::resource('survey_detail',Survey_detailController::class);
Route::resource('user',RegiController::class);
Route::resource('gramuser',GramUserController::class);
Route::resource('varnan',VernanController::class);
Route::get('details',[AreaController::class,'details']);
Route::post('detailsstore',[AreaController::class,'detailsstore']);
Route::get('details_disply',[AreaController::class,'details_disply']);



Route::get('statuschk/{id}',[AreaController::class,'jillastatusupdate']);
Route::post('statuschktaluka/',[AreaController::class,'statuschktaluka']); // Shiva
Route::get('statuschkgram/{id}',[AreaController::class,'statuschkgram']);
Route::get('statusinfo/{id}',[Survey_infoController::class,'statusinfo']);
Route::get('statuschkvarnan/{id}',[VernanController::class,'statuschkvarnan']);
Route::get('userstatusupdate/{id}',[RegiController::class,'userstatusupdate']);
Route::get('usergramstatusupdate/{id}',[GramUserController::class,'usergramstatusupdate']);
Route::get('displaytesting',[AreaController::class,'displaytesting']);
Route::post('gramuserchngestat',[GramUserController::class,'gramuserchngestat']);

Route::get('printdetails/{id}',[Survey_infoController::class,'printdetails']);
Route::post('printall',[Survey_infoController::class,'printall']);
Route::post('printformnine',[Survey_infoController::class,'printformnine']);
Route::post('printformten',[Survey_infoController::class,'printformten']);

Route::get('printdetailsnine/{id}',[Survey_infoController::class,'printdetailsnine']);

Route::get('displayallsearch',[Survey_infoController::class,'displayallsearch']);


Route::post('displayabstractsurvey',[AbstractController::class,'displayabstractsurvey']);
Route::get('view_abstract_survey/{id}',[AbstractController::class,'view_abstract_survey']);
Route::post('displayallsearchgram',[Survey_infoController::class,'displayallsearchgram']);
Route::get('display_materialhanding',[MaterialController::class,'display_materialhanding']);
Route::resource('allotuser',AlloruserController::class);

Route::post('gramallotuser',[AlloruserController::class,'gramallotuser']);
Route::post('userallotform',[AlloruserController::class,'userallotform']);
Route::post('gramuserallotform',[AlloruserController::class,'gramuserallotform']);
Route::post('gramuserlist',[AlloruserController::class,'gramuserlist']);
Route::post('subvendorallotform',[AlloruserController::class,'subvendorallotform']);
Route::get('getvendorareanames',[AlloruserController::class,'getvendorareanames']);


Route::post('updatevarnan',[VernanController::class,'updatevarnan']);

Route::get('printdetailsnineform/{id}',[Survey_infoController::class,'printdetailsnineform']);
Route::get('printdetailstenform/{id}',[Survey_infoController::class,'printdetailstenform']);
Route::get('gramuserindex',[RegiController::class,'gramuserindex']);

Route::get('add_thankbaki/{id}',[Survey_infoController::class,'add_thankbaki']);
Route::post('editsurvey/{id}',[Survey_infoController::class,'editsurvey']);

Route::get('installation_format',[Survey_infoController::class,'installation_format']);
Route::get('survey_format',[Survey_infoController::class,'survey_format']);
Route::post('displaysearchallotusers',[Survey_infoController::class,'displaysearchallotusers']);
Route::post('displaysearchallot',[Survey_infoController::class,'displaysearchallot']);
//Route::resource('material_handing',MaterialController::class);

Route::get('abstract_survey',[AbstractController::class,'abstract_survey']);
Route::get('survey_material_handing',[MaterialController::class,'material_handing']);


// api's

Route::get('displayallsearch/{jilla}/{taluka}/{gram}',[Survey_infoController::class,'displayallsearch']);



/** Gram Api Call **/
Route::get('jillaid/{id}',[AreaController::class,'jillaid']);

Route::get('get_mandal_gram',[AreaController::class,'get_mandal_gram']);

Route::get('userid/{id}',[AreaController::class,'userid']);

Route::get('jillaidgram',[AreaController::class,'jillaidgram']);
Route::get('getallot/{id}',[AlloruserController::class,'getallot']);
Route::get('getareanames',[AlloruserController::class,'getareanames']);

Route::get('jillasearch/{id}',[AreaController::class,'jillasearch']);
Route::get('gramdetails',[AreaController::class,'gramdetails']);
Route::get('gramdata',[AreaController::class,'gramdata']);

Route::get('getghasara',[AreaController::class,'getghasara']);
 Route::get('alloted/{id}',[AlloruserController::class,'allotuserdel']);
 Route::get('allotedgram/{id}',[AlloruserController::class,'gramallotuserdel']);



/** district Api **/
Route::get('district',[AreaController::class,'district']);


/**new code  **/
Route::get('dic_view',[Survey_infoController::class,'dic_view']);
Route::get('dic_installation',[Survey_infoController::class,'dic_installation']);

Route::get('dic_edit/{id}',[Survey_infoController::class,'dic_edit']);
 Route::post('dic_update',[Survey_infoController::class,'dic_update']);


 Route::get('survey_instal_edit/{id}',[Survey_infoController::class,'survey_instal_edit']);
 Route::post('survey_install_update',[Survey_infoController::class,'survey_install_update']);

Route::get('inwards_view',[InwardController::class,'index']);
Route::get('inwards_withmaker_list',[InwardController::class,'inwards_withmaker_list']);
Route::get('inwards_list',[InwardController::class,'inwards_list']);
Route::get('inwards_store',[InwardController::class,'inwards_store']);
Route::post('inwards_store',[InwardController::class,'store']);

Route::resource('make_view',MakesController::class);

Route::get('abstractreport/{id}',[AreaController::class,'abstractform']);
Route::get('districtwise_report',[Survey_infoController::class,'districtwise_report']);
Route::get('mandalwise_report',[Survey_infoController::class,'mandalwise_report']);
Route::get('gramwise_report',[Survey_infoController::class,'gramwise_report']);

Route::get('approved_districtwise_report',[Survey_infoController::class,'approved_districtwise_report']);

Route::get('phase_survey_report',[Survey_infoController::class,'phase_survey_report']);

Route::get('approved_mandalwise_report',[Survey_infoController::class,'approved_mandalwise_report']);
Route::get('approved_gramwise_report',[Survey_infoController::class,'approved_gramwise_report']);


Route::get('pending_districtwise_report',[Survey_infoController::class,'pending_districtwise_report']);
Route::get('pending_mandalwise_report',[Survey_infoController::class,'pending_mandalwise_report']);
Route::get('pending_gramwise_report',[Survey_infoController::class,'pending_gramwise_report']);

Route::get('panchayat_resolution', function () {
    return view('backend.panchayat_resolution');
});
Route::get('eesl', function () {
    return view('backend.eesl');
});
Route::get('inventory', function () {
    return view('backend.inventory');
});
Route::get('reports', function (){
    return view('backend.reports');
});


Route::get('dashboard',[RegiController::class,'dashboard']);

Route::get('pr_distict_view',[PrResolutionController::class,'index']);
Route::get('mandal_pr_list',[PrResolutionController::class,'mandal_pr_list']);
Route::get('gram_pr_list',[PrResolutionController::class,'gram_pr_list']);
Route::get('gram_approve_list',[PrResolutionController::class,'gram_approve_list']);
Route::post('pr_status',[PrResolutionController::class,'pr_status']);
Route::get('pr_delete',[PrResolutionController::class,'pr_delete']);
Route::get('add_prresolution',[PrResolutionController::class,'add_resolution']);
Route::post('add_prresolution',[PrResolutionController::class,'resolutionstore']);

Route::get('ps_distict_view',[PreliminarySurveyController::class,'index']);
Route::get('mandal_ps_list',[PreliminarySurveyController::class,'mandal_ps_list']);
Route::get('gram_ps_list',[PreliminarySurveyController::class,'gram_ps_list']);
Route::get('all_gram_ps_list',[PreliminarySurveyController::class,'all_gram_ps_list']);
Route::get('gram_ps_report',[PreliminarySurveyController::class,'gram_ps_report']);
Route::post('ps_status',[PreliminarySurveyController::class,'ps_status']);
Route::get('ps_delete',[PreliminarySurveyController::class,'ps_delete']);
Route::get('add_preliminary_survey',[PreliminarySurveyController::class,'add_preliminary_survey']);
Route::post('add_preliminary_survey',[PreliminarySurveyController::class,'store_preliminary_survey']);


Route::get('abstractreport_view',[AreaController::class,'abstractreport_view']);
Route::get('grampanchayat_completion',[AreaController::class,'grampanchayat_completion']);

Route::get('gp_survey_lights',[AreaController::class,'gp_survey_lights']);

Route::get('allotChangeStatus/{id}',[AlloruserController::class,'allotChangeStatus']);
Route::get('subvendorChangeStatus/{id}',[AlloruserController::class,'subvendorChangeStatus']);

Route::get('gp_completion_list',[AreaController::class,'gp_completion_list']);
Route::get('add_ccmms_types',[AreaController::class,'add_ccmms_types']);
Route::post('add_ccmms_types',[AreaController::class,'ccmms_typestore']);

Route::get('list_ccmms',[AreaController::class,'list_ccmms']);
Route::get('ccms_types_edit/{id}',[AreaController::class,'ccms_types_edit']);
Route::post('ccms_types_update/{id}',[AreaController::class,'ccms_types_update']);
Route::get('district_list_ccms',[AreaController::class,'district_list_ccms']);
Route::get('mandal_list_ccms',[AreaController::class,'mandal_list_ccms']);
Route::get('gram_list_ccms',[AreaController::class,'gram_list_ccms']);



//Code sent by madhukar in teams
Route::get('survey_exceldownload',[Survey_infoController::class,'survey_exceldownload']);
Route::get('update_old_survey_pole',[Survey_infoController::class,'update_old_survey_pole']);
Route::get('status_update_by_admin',[Survey_infoController::class,'admin_update_survey_status']);
Route::post('status_update_by_admin',[Survey_infoController::class,'admin_update_survey']);
Route::post('admin_update_invoice_status',[Survey_infoController::class,'admin_update_invoice_status']);
Route::get('get_invoice_list',[Survey_infoController::class,'get_invoice_list']);
Route::get('get_invoice_status',[Survey_infoController::class,'get_invoice_status']);
Route::get('gram_survey_status/{id}',[Survey_infoController::class,'gram_survey_status']);
Route::get('gram_survey_phase_status/{id}',[Survey_infoController::class,'gram_survey_phase_status']);
Route::get('update_old_survey_pole',[Survey_infoController::class,'update_old_survey_pole']);
Route::get('delete_survey',[Survey_infoController::class,'delete_survey']);
Route::get('survey_map',[Survey_infoController::class,'survey_map']);
Route::get('update_survey_status',[Survey_infoController::class,'update_survey_status']);
Route::get('approve_reject_report',[Survey_infoController::class,'approve_reject_report']);
Route::get('approved_report',[Survey_infoController::class,'approved_report']);
Route::get('move_inventory',[InwardController::class,'move_inventory']);
Route::post('move_inventory',[InwardController::class,'update_inventory']);
Route::get('editinventorylist',[InwardController::class,'editinventorylist']);
Route::post('editinventorylist',[InwardController::class,'update_editinventorylist']);
Route::post('uploadfilegram',[Survey_infoController::class,'uploadfilegram']);
Route::post('uploadfilegram1',[Survey_infoController::class,'uploadfilegram1']);
Route::get('inwards_invoice_list',[InwardController::class,'inwards_invoice_list']);

Route::get('inward_edit/{id}',[InwardController::class,'inward_edit']);
Route::post('inward_update/{id}',[InwardController::class,'inward_update']);
Route::get('update_inward_status',[InwardController::class,'update_inward_status']);

Route::get('armsclamps_view',[InwardController::class,'armsclamps_view']);
Route::get('armsclamps_list',[InwardController::class,'armsclamps_list']);
Route::get('armsclamps_invoice_edit/{id}',[InwardController::class,'armsclamps_invoice_edit']);
Route::get('armsclamps_store',[InwardController::class,'armsclamps_store']);
Route::post('arms_clampsstore',[InwardController::class,'arms_clampsstore']);
Route::get('armsclamps_invoice_list',[InwardController::class,'armsclamps_invoice_list']);
Route::get('armsclamps_edit/{id}',[InwardController::class,'armsclamps_edit']);
Route::post('armsclamps_update/{id}',[InwardController::class,'armsclamps_update']);
Route::get('update_armsclamps_status',[InwardController::class,'update_armsclamps_status']);


Route::get('ccmstype_store',[InwardController::class,'ccmstype_store']);
Route::get('ccmstypes_view',[InwardController::class,'ccmstypes_view']);
Route::get('ccmstypes_invoice_list',[InwardController::class,'ccmstypes_invoice_list']);
Route::post('ccms_type_store',[InwardController::class,'ccms_type_store']);
Route::get('ccmstypes_list',[InwardController::class,'ccmstype_list']);

Route::resource('role_view',RolesController::class);

Route::post('approve_gramwise_report',[Survey_infoController::class,'update_gramwise_report']);

Route::get('ccmstypes_edit/{id}',[InwardController::class,'ccmstypes_edit']);
Route::post('ccmstypes_update/{id}',[InwardController::class,'ccmstypes_update']);
Route::get('update_ccmstypes_status',[InwardController::class,'update_ccmstypes_status']);
Route::resource('role_view',RolesController::class);

Route::post('approve_gramwise_report',[Survey_infoController::class,'update_gramwise_report']);
Route::get('move_inventoryarm',[InwardController::class,'move_inventoryarm']);
Route::post('move_inventoryarm',[InwardController::class,'update_inventoryarm']);

Route::get('districtwise_completion',[AreaController::class,'districtwise_completion']);
Route::get('district_completion_list',[AreaController::class,'district_completion_list']);
Route::get('mandal_completion_list',[AreaController::class,'mandal_completion_list']);
Route::get('gram_completion_list',[AreaController::class,'gram_completion_list']);
Route::post('approve_gramwise_report',[Survey_infoController::class,'update_gramwise_report']);
Route::post('updatephaseSignature',[Survey_infoController::class,'updatephaseSignature']);

Route::get('move_inventoryccms',[InwardController::class,'move_inventoryccms']);
Route::post('move_inventoryccms',[InwardController::class,'update_inventoryccms']);
Route::post('signature_date',[Survey_infoController::class,'signature_date']);
Route::get('delete_reject_report',[Survey_infoController::class,'delete_reject_report']);
Route::get('gramwise_report',[Survey_infoController::class,'gramwise_report']);

Route::get('report_exceldownload',[Survey_infoController::class,'report_exceldownload']);

Route::get('update_light_numbers_based_on_village',[Survey_infoController::class,'update_light_numbers_based_on_village']);

Route::get('report_mandal_exceldownload',[Survey_infoController::class,'report_mandal_exceldownload']);
Route::get('report_gram_exceldownload',[Survey_infoController::class,'report_gram_exceldownload']);

//Route::get('gram_survey_phase_status/{id}',[Survey_infoController::class,'gram_survey_phase_status']);



Route::post('cluster/create',[AreaController::class,'clusterstore']);
Route::get('cluster',[AreaController::class,'clustercreate']);
Route::get('cluster_edit/{id}',[AreaController::class,'cluster_edit']);
Route::post('cluster_update/{id}',[AreaController::class,'cluster_update']);
Route::get('/deleteUser/{id}',[AreaController::class,'deleteData']);



Route::get('/cluster_form/{id}',[AlloruserController::class,'clusterform']);
 Route::get('allotedcluster/{id}',[AlloruserController::class,'allotedcluster']);
 Route::get('getclusternames',[AlloruserController::class,'getclusternames']);
 Route::get('selecteddistrict/{id}',[AlloruserController::class,'selecteddistrict']);



Route::get('outwards_view',[OutwardController::class,'outwards_view']);
Route::get('outwards_withmaker_list',[OutwardController::class,'outwards_withmaker_list']);
 Route::get('outwards_list',[OutwardController::class,'outwards_list']);
Route::get('outwards_store',[OutwardController::class,'outwards_store']);
Route::post('outwards_store',[OutwardController::class,'store_outwards']);

Route::get('outwards_vendor_list',[OutwardController::class,'outwards_vendor_list']);
Route::get('outwards_ccmsvendor_list',[OutwardController::class,'outwards_ccmsvendor_list']);
Route::get('outwards_armclampsvendor_list',[OutwardController::class,'outwards_armclampsvendor_list']);
Route::get('outwards_view_dist',[OutwardController::class,'outwards_view_dist']);
Route::get('store_check',[InwardController::class,'store_check']);
Route::get('armsclamps_store_check',[OutwardController::class,'armsclamps_store_check']);
Route::get('ccms_store_check',[OutwardController::class,'ccms_store_check']);
Route::get('ledwattageinwards',[InwardController::class,'ledwattageinwards']);
Route::get('ccmsphtransfer',[InwardController::class,'ccmsphtransfer']);
Route::get('armsclampstransfer',[InwardController::class,'armsclampstransfer']);

Route::get('outwards_armsclampsview',[OutwardController::class,'outwards_armsclampsview']);
Route::get('admin_outwards_armsclamps',[OutwardController::class,'admin_outwards_armsclamps']);
Route::post('admin_outwards_armsclamps',[OutwardController::class,'admin_outwards_armsclamps_store']);
Route::get('outwards_ccmsview',[OutwardController::class,'outwards_ccmsview']);
Route::get('admin_outwards_ccms',[OutwardController::class,'admin_outwards_ccms']);
Route::post('admin_outwards_ccms',[OutwardController::class,'admin_outwards_ccms_store']);
Route::get('outwards_invoice_list',[OutwardController::class,'outwards_invoice_list']);


//  --  VENDOR OUTWARDS  --
            //  <--  ccms -->
Route::get('vendor_outwards_ccms',[OutwardController::class,'vendor_outwards_ccms']);
Route::post('vendor_outwards_ccms',[OutwardController::class,'vendor_outwards_ccms_store']);
Route::get('vendor_outward_ccms_list',[OutwardController::class,'subvendor_outward_ccms_list']);
Route::get('subvendor_ccms_list',[OutwardController::class,'subvendor_ccms_list']);
Route::get('subvendor_ccms_store_check',[OutwardController::class,'subvendor_ccms_store_check']);


   //  <--  armsclamps -->
Route::get('vendor_outwards_armsclamps',[OutwardController::class,'vendor_outwards_armsclamps']);
Route::post('vendor_outwards_armsclamps',[OutwardController::class,'vendor_outwards_armsclamps_store']);
Route::get('vendor_outward_armsclamps_list',[OutwardController::class,'vendor_outward_armsclamps_list']);

Route::get('subvendor_armsclamps_list',[OutwardController::class,'subvendor_armsclamps_list']);
Route::get('subvendor_armsclamps_store_check',[OutwardController::class,'subvendor_armsclamps_store_check']);

 //  <--  lights -->

Route::get('vendor_outwards_lights',[OutwardController::class,'vendor_outwards_lights']);
Route::post('vendor_outwards_lights',[OutwardController::class,'vendor_outwards_lights_store']);
Route::get('vendor_outward_lights_list',[OutwardController::class,'vendor_outward_lights_list']);

Route::get('subvendor_lights_list',[OutwardController::class,'subvendor_lights_list']);
Route::get('subvendor_lights_store_check',[OutwardController::class,'subvendor_lights_store_check']);
Route::get('subvendor_armsclamps_store_check',[OutwardController::class,'subvendor_armsclamps_store_check']);
Route::get('subvendor_ccms_store_check',[OutwardController::class,'subvendor_ccms_store_check']);


Route::get('outwards_invoiceslist/{id}',[OutwardController::class,'outwards_invoiceslist']);
Route::get('outwards_armsinvoiceslist/{id}',[OutwardController::class,'outwards_armsinvoiceslist']);
Route::get('outwards_ccmsinvoiceslist/{id}',[OutwardController::class,'outwards_ccmsinvoiceslist']);




Route::get('stock_register',[AreaController::class,'stock_register']);
Route::get('mandalstock_list',[AreaController::class,'mandalstock_list']);

Route::get('districtlist_mandalcompletion',[AreaController::class,'districtlist_mandalcompletion']);
Route::get('mandallist_mandalcompletion',[AreaController::class,'mandallist_mandalcompletion']);
Route::get('gram_completionlist_new',[AreaController::class,'gram_completionlist']);
Route::get('subvendor_alloted_mandallist',[AreaController::class,'subvendor_alloted_mandallist']);


Route::get('outwards_vendor_list',[InwardController::class,'outwards_vendor_list']);
Route::get('outwards_view_dist',[InwardController::class,'outwards_view_dist']);



Route::get('store_check',[InwardController::class,'store_check']);


Route::get('subvendor_inwardslights',[OutwardController::class,'subvendor_inwardslights']);
Route::get('subvendor_inwardsarmsclamps',[OutwardController::class,'subvendor_inwardsarmsclamps']);
Route::get('subvendor_inwardsccms',[OutwardController::class,'subvendor_inwardsccms']);



Route::post('subvendorsurveyallotform',[AlloruserController::class,'subvendorsurveyallotform']);
Route::get('premilinary_subvendorsurvey',[PreliminarySurveyController::class,'premilinary_subvendorsurvey']);

Route::post('premilinary_subvendorsurvey_update',[PreliminarySurveyController::class,'premilinary_subvendorsurvey_update']);


Route::get('admin_abstract_districtnames',[Survey_infoController::class,'admin_abstract_districtnames']);
Route::get('abstarct_districtwise_completion',[Survey_infoController::class,'abstarct_districtwise_completion']);
Route::get('mandal_wise_report_grams',[Survey_infoController::class,'mandal_wise_report_grams']);
Route::get('mandal_wise_report_list',[Survey_infoController::class,'mandal_wise_report_list']);
Route::get('mandal_wise_report_gramse',[Survey_infoController::class,'mandal_wise_report_gramse']);
Route::get('mandal_wise_report_liste',[Survey_infoController::class,'mandal_wise_report_liste']);

Route::get('janagoan_data',[PoleController::class,'janagoan_data']);
Route::get('pole_data_move',[PoleController::class,'pole_data_move']);
Route::get('missing_poles',[PoleController::class,'missing_poles']);

Route::get('moveinventory_store_check',[InwardController::class,'moveinventory_store_check']);
Route::get('editmoveinventory_store_check',[InwardController::class,'editmoveinventory_store_check']);
Route::get('moveinventory_armsclamps_store_check',[InwardController::class,'moveinventory_armsclamps_store_check']);
Route::get('move_inventory_list',[InwardController::class,'move_inventory_list']);




Route::get('janagoan_data',[PoleController::class,'janagoan_data']);
Route::get('pole_data_move',[PoleController::class,'pole_data_move']);
Route::get('missing_poles',[PoleController::class,'missing_poles']);


Route::get('moveinventory_ccms_store_check',[InwardController::class,'moveinventory_ccms_store_check']);
Route::get('ccmsmove_inventory_list',[InwardController::class,'ccmsmove_inventory_list']);
Route::get('armsmove_inventory_list',[InwardController::class,'armsmove_inventory_list']);
Route::get('move_inventory_eesl_list',[InwardController::class,'move_inventory_eesl_list']);


Route::get('move_inventory_makename',[InwardController::class,'move_inventory_makename']);


Route::get('invoicenumber',[OutwardController::class,'invoicenumber']);

Route::get('armsinvoicenumber',[OutwardController::class,'armsinvoicenumber']);
Route::get('ccmsinvoicenumber',[OutwardController::class,'ccmsinvoicenumber']);


Route::get('move_inventory_invoicenumber',[OutwardController::class,'move_inventory_invoicenumber']);


Route::get('outwards_ccmstypes_list',[OutwardController::class,'outwards_ccmstypes_list']);

Route::get('subvendor_lights_list_mandals',[OutwardController::class,'subvendor_lights_list_mandals']);
Route::get('move_arminventory_supliedby',[InwardController::class,'move_arminventory_supliedby']);


//move_inventory edit routes.
Route::get('moveinventory_lights_edit/{id}',[InwardController::class,'moveinventory_lights_edit']);
Route::post('moveinventory_lights_update/{id}',[InwardController::class,'moveinventory_lights_edit']);

//end of move_inventory edits.



Route::get('inwards_invoices_balance_list',[InwardController::class,'inwards_invoices_balance_list']);
